{{- if and .Values.metrics.enabled .Values.metrics.prometheus.enabled -}}
apiVersion: rbac.authorization.k8s.io/v1
kind: ClusterRoleBinding
metadata:
  name: it-monit-metrics-operator-prometheus
  namespace: {{ .Release.Namespace }}
roleRef:
  apiGroup: rbac.authorization.k8s.io
  kind: ClusterRole
  name: it-monit-metrics-operator-prometheus
subjects:
- kind: ServiceAccount
  name: it-monit-metrics-operator-prometheus
  namespace: {{ .Release.Namespace }}
{{- end -}}
